/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	
#include <stdio.h>
#include "cr_error.h"
#include "cr_string.h"
#include "cr_spu.h"
#include "passthroughspu.h"

SPUNamedFunctionTable _cr_passthrough_table[688];

static void __fillin( int offset, char *name, SPUGenericFunction func )
{
	_cr_passthrough_table[offset].name = crStrdup( name );
	_cr_passthrough_table[offset].fn = func;
}

void BuildPassthroughTable( SPU *child )
{
	__fillin(   0, "Accum", (SPUGenericFunction) child->dispatch_table.Accum );
	__fillin(   1, "ActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ActiveTextureARB );
	__fillin(   2, "AlphaFunc", (SPUGenericFunction) child->dispatch_table.AlphaFunc );
	__fillin(   3, "AreProgramsResidentNV", (SPUGenericFunction) child->dispatch_table.AreProgramsResidentNV );
	__fillin(   4, "AreTexturesResident", (SPUGenericFunction) child->dispatch_table.AreTexturesResident );
	__fillin(   5, "ArrayElement", (SPUGenericFunction) child->dispatch_table.ArrayElement );
	__fillin(   6, "AttachShader", (SPUGenericFunction) child->dispatch_table.AttachShader );
	__fillin(   7, "BarrierCreateCR", (SPUGenericFunction) child->dispatch_table.BarrierCreateCR );
	__fillin(   8, "BarrierDestroyCR", (SPUGenericFunction) child->dispatch_table.BarrierDestroyCR );
	__fillin(   9, "BarrierExecCR", (SPUGenericFunction) child->dispatch_table.BarrierExecCR );
	__fillin(  10, "Begin", (SPUGenericFunction) child->dispatch_table.Begin );
	__fillin(  11, "BeginQueryARB", (SPUGenericFunction) child->dispatch_table.BeginQueryARB );
	__fillin(  12, "BindAttribLocation", (SPUGenericFunction) child->dispatch_table.BindAttribLocation );
	__fillin(  13, "BindBufferARB", (SPUGenericFunction) child->dispatch_table.BindBufferARB );
	__fillin(  14, "BindFramebufferEXT", (SPUGenericFunction) child->dispatch_table.BindFramebufferEXT );
	__fillin(  15, "BindProgramARB", (SPUGenericFunction) child->dispatch_table.BindProgramARB );
	__fillin(  16, "BindProgramNV", (SPUGenericFunction) child->dispatch_table.BindProgramNV );
	__fillin(  17, "BindRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.BindRenderbufferEXT );
	__fillin(  18, "BindTexture", (SPUGenericFunction) child->dispatch_table.BindTexture );
	__fillin(  19, "Bitmap", (SPUGenericFunction) child->dispatch_table.Bitmap );
	__fillin(  20, "BlendColorEXT", (SPUGenericFunction) child->dispatch_table.BlendColorEXT );
	__fillin(  21, "BlendEquationEXT", (SPUGenericFunction) child->dispatch_table.BlendEquationEXT );
	__fillin(  22, "BlendEquationSeparate", (SPUGenericFunction) child->dispatch_table.BlendEquationSeparate );
	__fillin(  23, "BlendFunc", (SPUGenericFunction) child->dispatch_table.BlendFunc );
	__fillin(  24, "BlendFuncSeparateEXT", (SPUGenericFunction) child->dispatch_table.BlendFuncSeparateEXT );
	__fillin(  25, "BoundsInfoCR", (SPUGenericFunction) child->dispatch_table.BoundsInfoCR );
	__fillin(  26, "BufferDataARB", (SPUGenericFunction) child->dispatch_table.BufferDataARB );
	__fillin(  27, "BufferSubDataARB", (SPUGenericFunction) child->dispatch_table.BufferSubDataARB );
	__fillin(  28, "CallList", (SPUGenericFunction) child->dispatch_table.CallList );
	__fillin(  29, "CallLists", (SPUGenericFunction) child->dispatch_table.CallLists );
	__fillin(  30, "CheckFramebufferStatusEXT", (SPUGenericFunction) child->dispatch_table.CheckFramebufferStatusEXT );
	__fillin(  31, "ChromiumParameterfCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameterfCR );
	__fillin(  32, "ChromiumParameteriCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameteriCR );
	__fillin(  33, "ChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.ChromiumParametervCR );
	__fillin(  34, "Clear", (SPUGenericFunction) child->dispatch_table.Clear );
	__fillin(  35, "ClearAccum", (SPUGenericFunction) child->dispatch_table.ClearAccum );
	__fillin(  36, "ClearColor", (SPUGenericFunction) child->dispatch_table.ClearColor );
	__fillin(  37, "ClearDepth", (SPUGenericFunction) child->dispatch_table.ClearDepth );
	__fillin(  38, "ClearIndex", (SPUGenericFunction) child->dispatch_table.ClearIndex );
	__fillin(  39, "ClearStencil", (SPUGenericFunction) child->dispatch_table.ClearStencil );
	__fillin(  40, "ClientActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ClientActiveTextureARB );
	__fillin(  41, "ClipPlane", (SPUGenericFunction) child->dispatch_table.ClipPlane );
	__fillin(  42, "Color3b", (SPUGenericFunction) child->dispatch_table.Color3b );
	__fillin(  43, "Color3bv", (SPUGenericFunction) child->dispatch_table.Color3bv );
	__fillin(  44, "Color3d", (SPUGenericFunction) child->dispatch_table.Color3d );
	__fillin(  45, "Color3dv", (SPUGenericFunction) child->dispatch_table.Color3dv );
	__fillin(  46, "Color3f", (SPUGenericFunction) child->dispatch_table.Color3f );
	__fillin(  47, "Color3fv", (SPUGenericFunction) child->dispatch_table.Color3fv );
	__fillin(  48, "Color3i", (SPUGenericFunction) child->dispatch_table.Color3i );
	__fillin(  49, "Color3iv", (SPUGenericFunction) child->dispatch_table.Color3iv );
	__fillin(  50, "Color3s", (SPUGenericFunction) child->dispatch_table.Color3s );
	__fillin(  51, "Color3sv", (SPUGenericFunction) child->dispatch_table.Color3sv );
	__fillin(  52, "Color3ub", (SPUGenericFunction) child->dispatch_table.Color3ub );
	__fillin(  53, "Color3ubv", (SPUGenericFunction) child->dispatch_table.Color3ubv );
	__fillin(  54, "Color3ui", (SPUGenericFunction) child->dispatch_table.Color3ui );
	__fillin(  55, "Color3uiv", (SPUGenericFunction) child->dispatch_table.Color3uiv );
	__fillin(  56, "Color3us", (SPUGenericFunction) child->dispatch_table.Color3us );
	__fillin(  57, "Color3usv", (SPUGenericFunction) child->dispatch_table.Color3usv );
	__fillin(  58, "Color4b", (SPUGenericFunction) child->dispatch_table.Color4b );
	__fillin(  59, "Color4bv", (SPUGenericFunction) child->dispatch_table.Color4bv );
	__fillin(  60, "Color4d", (SPUGenericFunction) child->dispatch_table.Color4d );
	__fillin(  61, "Color4dv", (SPUGenericFunction) child->dispatch_table.Color4dv );
	__fillin(  62, "Color4f", (SPUGenericFunction) child->dispatch_table.Color4f );
	__fillin(  63, "Color4fv", (SPUGenericFunction) child->dispatch_table.Color4fv );
	__fillin(  64, "Color4i", (SPUGenericFunction) child->dispatch_table.Color4i );
	__fillin(  65, "Color4iv", (SPUGenericFunction) child->dispatch_table.Color4iv );
	__fillin(  66, "Color4s", (SPUGenericFunction) child->dispatch_table.Color4s );
	__fillin(  67, "Color4sv", (SPUGenericFunction) child->dispatch_table.Color4sv );
	__fillin(  68, "Color4ub", (SPUGenericFunction) child->dispatch_table.Color4ub );
	__fillin(  69, "Color4ubv", (SPUGenericFunction) child->dispatch_table.Color4ubv );
	__fillin(  70, "Color4ui", (SPUGenericFunction) child->dispatch_table.Color4ui );
	__fillin(  71, "Color4uiv", (SPUGenericFunction) child->dispatch_table.Color4uiv );
	__fillin(  72, "Color4us", (SPUGenericFunction) child->dispatch_table.Color4us );
	__fillin(  73, "Color4usv", (SPUGenericFunction) child->dispatch_table.Color4usv );
	__fillin(  74, "ColorMask", (SPUGenericFunction) child->dispatch_table.ColorMask );
	__fillin(  75, "ColorMaterial", (SPUGenericFunction) child->dispatch_table.ColorMaterial );
	__fillin(  76, "ColorPointer", (SPUGenericFunction) child->dispatch_table.ColorPointer );
	__fillin(  77, "CombinerInputNV", (SPUGenericFunction) child->dispatch_table.CombinerInputNV );
	__fillin(  78, "CombinerOutputNV", (SPUGenericFunction) child->dispatch_table.CombinerOutputNV );
	__fillin(  79, "CombinerParameterfNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfNV );
	__fillin(  80, "CombinerParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfvNV );
	__fillin(  81, "CombinerParameteriNV", (SPUGenericFunction) child->dispatch_table.CombinerParameteriNV );
	__fillin(  82, "CombinerParameterivNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterivNV );
	__fillin(  83, "CombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerStageParameterfvNV );
	__fillin(  84, "CompileShader", (SPUGenericFunction) child->dispatch_table.CompileShader );
	__fillin(  85, "CompressedTexImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage1DARB );
	__fillin(  86, "CompressedTexImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage2DARB );
	__fillin(  87, "CompressedTexImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage3DARB );
	__fillin(  88, "CompressedTexSubImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage1DARB );
	__fillin(  89, "CompressedTexSubImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage2DARB );
	__fillin(  90, "CompressedTexSubImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage3DARB );
	__fillin(  91, "CopyPixels", (SPUGenericFunction) child->dispatch_table.CopyPixels );
	__fillin(  92, "CopyTexImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexImage1D );
	__fillin(  93, "CopyTexImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexImage2D );
	__fillin(  94, "CopyTexSubImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage1D );
	__fillin(  95, "CopyTexSubImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage2D );
	__fillin(  96, "CopyTexSubImage3D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage3D );
	__fillin(  97, "CreateContext", (SPUGenericFunction) child->dispatch_table.CreateContext );
	__fillin(  98, "CreateProgram", (SPUGenericFunction) child->dispatch_table.CreateProgram );
	__fillin(  99, "CreateShader", (SPUGenericFunction) child->dispatch_table.CreateShader );
	__fillin( 100, "CullFace", (SPUGenericFunction) child->dispatch_table.CullFace );
	__fillin( 101, "DeleteBuffersARB", (SPUGenericFunction) child->dispatch_table.DeleteBuffersARB );
	__fillin( 102, "DeleteFencesNV", (SPUGenericFunction) child->dispatch_table.DeleteFencesNV );
	__fillin( 103, "DeleteFramebuffersEXT", (SPUGenericFunction) child->dispatch_table.DeleteFramebuffersEXT );
	__fillin( 104, "DeleteLists", (SPUGenericFunction) child->dispatch_table.DeleteLists );
	__fillin( 105, "DeleteObjectARB", (SPUGenericFunction) child->dispatch_table.DeleteObjectARB );
	__fillin( 106, "DeleteProgram", (SPUGenericFunction) child->dispatch_table.DeleteProgram );
	__fillin( 107, "DeleteProgramsARB", (SPUGenericFunction) child->dispatch_table.DeleteProgramsARB );
	__fillin( 108, "DeleteQueriesARB", (SPUGenericFunction) child->dispatch_table.DeleteQueriesARB );
	__fillin( 109, "DeleteRenderbuffersEXT", (SPUGenericFunction) child->dispatch_table.DeleteRenderbuffersEXT );
	__fillin( 110, "DeleteShader", (SPUGenericFunction) child->dispatch_table.DeleteShader );
	__fillin( 111, "DeleteTextures", (SPUGenericFunction) child->dispatch_table.DeleteTextures );
	__fillin( 112, "DepthFunc", (SPUGenericFunction) child->dispatch_table.DepthFunc );
	__fillin( 113, "DepthMask", (SPUGenericFunction) child->dispatch_table.DepthMask );
	__fillin( 114, "DepthRange", (SPUGenericFunction) child->dispatch_table.DepthRange );
	__fillin( 115, "DestroyContext", (SPUGenericFunction) child->dispatch_table.DestroyContext );
	__fillin( 116, "DetachShader", (SPUGenericFunction) child->dispatch_table.DetachShader );
	__fillin( 117, "Disable", (SPUGenericFunction) child->dispatch_table.Disable );
	__fillin( 118, "DisableClientState", (SPUGenericFunction) child->dispatch_table.DisableClientState );
	__fillin( 119, "DisableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.DisableVertexAttribArrayARB );
	__fillin( 120, "DrawArrays", (SPUGenericFunction) child->dispatch_table.DrawArrays );
	__fillin( 121, "DrawBuffer", (SPUGenericFunction) child->dispatch_table.DrawBuffer );
	__fillin( 122, "DrawBuffers", (SPUGenericFunction) child->dispatch_table.DrawBuffers );
	__fillin( 123, "DrawElements", (SPUGenericFunction) child->dispatch_table.DrawElements );
	__fillin( 124, "DrawPixels", (SPUGenericFunction) child->dispatch_table.DrawPixels );
	__fillin( 125, "DrawRangeElements", (SPUGenericFunction) child->dispatch_table.DrawRangeElements );
	__fillin( 126, "EdgeFlag", (SPUGenericFunction) child->dispatch_table.EdgeFlag );
	__fillin( 127, "EdgeFlagPointer", (SPUGenericFunction) child->dispatch_table.EdgeFlagPointer );
	__fillin( 128, "EdgeFlagv", (SPUGenericFunction) child->dispatch_table.EdgeFlagv );
	__fillin( 129, "Enable", (SPUGenericFunction) child->dispatch_table.Enable );
	__fillin( 130, "EnableClientState", (SPUGenericFunction) child->dispatch_table.EnableClientState );
	__fillin( 131, "EnableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.EnableVertexAttribArrayARB );
	__fillin( 132, "End", (SPUGenericFunction) child->dispatch_table.End );
	__fillin( 133, "EndList", (SPUGenericFunction) child->dispatch_table.EndList );
	__fillin( 134, "EndQueryARB", (SPUGenericFunction) child->dispatch_table.EndQueryARB );
	__fillin( 135, "EvalCoord1d", (SPUGenericFunction) child->dispatch_table.EvalCoord1d );
	__fillin( 136, "EvalCoord1dv", (SPUGenericFunction) child->dispatch_table.EvalCoord1dv );
	__fillin( 137, "EvalCoord1f", (SPUGenericFunction) child->dispatch_table.EvalCoord1f );
	__fillin( 138, "EvalCoord1fv", (SPUGenericFunction) child->dispatch_table.EvalCoord1fv );
	__fillin( 139, "EvalCoord2d", (SPUGenericFunction) child->dispatch_table.EvalCoord2d );
	__fillin( 140, "EvalCoord2dv", (SPUGenericFunction) child->dispatch_table.EvalCoord2dv );
	__fillin( 141, "EvalCoord2f", (SPUGenericFunction) child->dispatch_table.EvalCoord2f );
	__fillin( 142, "EvalCoord2fv", (SPUGenericFunction) child->dispatch_table.EvalCoord2fv );
	__fillin( 143, "EvalMesh1", (SPUGenericFunction) child->dispatch_table.EvalMesh1 );
	__fillin( 144, "EvalMesh2", (SPUGenericFunction) child->dispatch_table.EvalMesh2 );
	__fillin( 145, "EvalPoint1", (SPUGenericFunction) child->dispatch_table.EvalPoint1 );
	__fillin( 146, "EvalPoint2", (SPUGenericFunction) child->dispatch_table.EvalPoint2 );
	__fillin( 147, "ExecuteProgramNV", (SPUGenericFunction) child->dispatch_table.ExecuteProgramNV );
	__fillin( 148, "FeedbackBuffer", (SPUGenericFunction) child->dispatch_table.FeedbackBuffer );
	__fillin( 149, "FinalCombinerInputNV", (SPUGenericFunction) child->dispatch_table.FinalCombinerInputNV );
	__fillin( 150, "Finish", (SPUGenericFunction) child->dispatch_table.Finish );
	__fillin( 151, "FinishFenceNV", (SPUGenericFunction) child->dispatch_table.FinishFenceNV );
	__fillin( 152, "Flush", (SPUGenericFunction) child->dispatch_table.Flush );
	__fillin( 153, "FlushVertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.FlushVertexArrayRangeNV );
	__fillin( 154, "FogCoordPointerEXT", (SPUGenericFunction) child->dispatch_table.FogCoordPointerEXT );
	__fillin( 155, "FogCoorddEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddEXT );
	__fillin( 156, "FogCoorddvEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddvEXT );
	__fillin( 157, "FogCoordfEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfEXT );
	__fillin( 158, "FogCoordfvEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfvEXT );
	__fillin( 159, "Fogf", (SPUGenericFunction) child->dispatch_table.Fogf );
	__fillin( 160, "Fogfv", (SPUGenericFunction) child->dispatch_table.Fogfv );
	__fillin( 161, "Fogi", (SPUGenericFunction) child->dispatch_table.Fogi );
	__fillin( 162, "Fogiv", (SPUGenericFunction) child->dispatch_table.Fogiv );
	__fillin( 163, "FramebufferRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.FramebufferRenderbufferEXT );
	__fillin( 164, "FramebufferTexture1DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture1DEXT );
	__fillin( 165, "FramebufferTexture2DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture2DEXT );
	__fillin( 166, "FramebufferTexture3DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture3DEXT );
	__fillin( 167, "FrontFace", (SPUGenericFunction) child->dispatch_table.FrontFace );
	__fillin( 168, "Frustum", (SPUGenericFunction) child->dispatch_table.Frustum );
	__fillin( 169, "GenBuffersARB", (SPUGenericFunction) child->dispatch_table.GenBuffersARB );
	__fillin( 170, "GenFencesNV", (SPUGenericFunction) child->dispatch_table.GenFencesNV );
	__fillin( 171, "GenFramebuffersEXT", (SPUGenericFunction) child->dispatch_table.GenFramebuffersEXT );
	__fillin( 172, "GenLists", (SPUGenericFunction) child->dispatch_table.GenLists );
	__fillin( 173, "GenProgramsARB", (SPUGenericFunction) child->dispatch_table.GenProgramsARB );
	__fillin( 174, "GenProgramsNV", (SPUGenericFunction) child->dispatch_table.GenProgramsNV );
	__fillin( 175, "GenQueriesARB", (SPUGenericFunction) child->dispatch_table.GenQueriesARB );
	__fillin( 176, "GenRenderbuffersEXT", (SPUGenericFunction) child->dispatch_table.GenRenderbuffersEXT );
	__fillin( 177, "GenTextures", (SPUGenericFunction) child->dispatch_table.GenTextures );
	__fillin( 178, "GenerateMipmapEXT", (SPUGenericFunction) child->dispatch_table.GenerateMipmapEXT );
	__fillin( 179, "GetActiveAttrib", (SPUGenericFunction) child->dispatch_table.GetActiveAttrib );
	__fillin( 180, "GetActiveUniform", (SPUGenericFunction) child->dispatch_table.GetActiveUniform );
	__fillin( 181, "GetAttachedObjectsARB", (SPUGenericFunction) child->dispatch_table.GetAttachedObjectsARB );
	__fillin( 182, "GetAttachedShaders", (SPUGenericFunction) child->dispatch_table.GetAttachedShaders );
	__fillin( 183, "GetAttribLocation", (SPUGenericFunction) child->dispatch_table.GetAttribLocation );
	__fillin( 184, "GetBooleanv", (SPUGenericFunction) child->dispatch_table.GetBooleanv );
	__fillin( 185, "GetBufferParameterivARB", (SPUGenericFunction) child->dispatch_table.GetBufferParameterivARB );
	__fillin( 186, "GetBufferPointervARB", (SPUGenericFunction) child->dispatch_table.GetBufferPointervARB );
	__fillin( 187, "GetBufferSubDataARB", (SPUGenericFunction) child->dispatch_table.GetBufferSubDataARB );
	__fillin( 188, "GetChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.GetChromiumParametervCR );
	__fillin( 189, "GetClipPlane", (SPUGenericFunction) child->dispatch_table.GetClipPlane );
	__fillin( 190, "GetCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterfvNV );
	__fillin( 191, "GetCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterivNV );
	__fillin( 192, "GetCombinerOutputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterfvNV );
	__fillin( 193, "GetCombinerOutputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterivNV );
	__fillin( 194, "GetCombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerStageParameterfvNV );
	__fillin( 195, "GetCompressedTexImageARB", (SPUGenericFunction) child->dispatch_table.GetCompressedTexImageARB );
	__fillin( 196, "GetDoublev", (SPUGenericFunction) child->dispatch_table.GetDoublev );
	__fillin( 197, "GetError", (SPUGenericFunction) child->dispatch_table.GetError );
	__fillin( 198, "GetFenceivNV", (SPUGenericFunction) child->dispatch_table.GetFenceivNV );
	__fillin( 199, "GetFinalCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterfvNV );
	__fillin( 200, "GetFinalCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterivNV );
	__fillin( 201, "GetFloatv", (SPUGenericFunction) child->dispatch_table.GetFloatv );
	__fillin( 202, "GetFramebufferAttachmentParameterivEXT", (SPUGenericFunction) child->dispatch_table.GetFramebufferAttachmentParameterivEXT );
	__fillin( 203, "GetHandleARB", (SPUGenericFunction) child->dispatch_table.GetHandleARB );
	__fillin( 204, "GetInfoLogARB", (SPUGenericFunction) child->dispatch_table.GetInfoLogARB );
	__fillin( 205, "GetIntegerv", (SPUGenericFunction) child->dispatch_table.GetIntegerv );
	__fillin( 206, "GetLightfv", (SPUGenericFunction) child->dispatch_table.GetLightfv );
	__fillin( 207, "GetLightiv", (SPUGenericFunction) child->dispatch_table.GetLightiv );
	__fillin( 208, "GetMapdv", (SPUGenericFunction) child->dispatch_table.GetMapdv );
	__fillin( 209, "GetMapfv", (SPUGenericFunction) child->dispatch_table.GetMapfv );
	__fillin( 210, "GetMapiv", (SPUGenericFunction) child->dispatch_table.GetMapiv );
	__fillin( 211, "GetMaterialfv", (SPUGenericFunction) child->dispatch_table.GetMaterialfv );
	__fillin( 212, "GetMaterialiv", (SPUGenericFunction) child->dispatch_table.GetMaterialiv );
	__fillin( 213, "GetObjectParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetObjectParameterfvARB );
	__fillin( 214, "GetObjectParameterivARB", (SPUGenericFunction) child->dispatch_table.GetObjectParameterivARB );
	__fillin( 215, "GetPixelMapfv", (SPUGenericFunction) child->dispatch_table.GetPixelMapfv );
	__fillin( 216, "GetPixelMapuiv", (SPUGenericFunction) child->dispatch_table.GetPixelMapuiv );
	__fillin( 217, "GetPixelMapusv", (SPUGenericFunction) child->dispatch_table.GetPixelMapusv );
	__fillin( 218, "GetPointerv", (SPUGenericFunction) child->dispatch_table.GetPointerv );
	__fillin( 219, "GetPolygonStipple", (SPUGenericFunction) child->dispatch_table.GetPolygonStipple );
	__fillin( 220, "GetProgramEnvParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterdvARB );
	__fillin( 221, "GetProgramEnvParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterfvARB );
	__fillin( 222, "GetProgramInfoLog", (SPUGenericFunction) child->dispatch_table.GetProgramInfoLog );
	__fillin( 223, "GetProgramLocalParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterdvARB );
	__fillin( 224, "GetProgramLocalParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterfvARB );
	__fillin( 225, "GetProgramNamedParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterdvNV );
	__fillin( 226, "GetProgramNamedParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterfvNV );
	__fillin( 227, "GetProgramParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterdvNV );
	__fillin( 228, "GetProgramParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterfvNV );
	__fillin( 229, "GetProgramStringARB", (SPUGenericFunction) child->dispatch_table.GetProgramStringARB );
	__fillin( 230, "GetProgramStringNV", (SPUGenericFunction) child->dispatch_table.GetProgramStringNV );
	__fillin( 231, "GetProgramiv", (SPUGenericFunction) child->dispatch_table.GetProgramiv );
	__fillin( 232, "GetProgramivARB", (SPUGenericFunction) child->dispatch_table.GetProgramivARB );
	__fillin( 233, "GetProgramivNV", (SPUGenericFunction) child->dispatch_table.GetProgramivNV );
	__fillin( 234, "GetQueryObjectivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectivARB );
	__fillin( 235, "GetQueryObjectuivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectuivARB );
	__fillin( 236, "GetQueryivARB", (SPUGenericFunction) child->dispatch_table.GetQueryivARB );
	__fillin( 237, "GetRenderbufferParameterivEXT", (SPUGenericFunction) child->dispatch_table.GetRenderbufferParameterivEXT );
	__fillin( 238, "GetShaderInfoLog", (SPUGenericFunction) child->dispatch_table.GetShaderInfoLog );
	__fillin( 239, "GetShaderSource", (SPUGenericFunction) child->dispatch_table.GetShaderSource );
	__fillin( 240, "GetShaderiv", (SPUGenericFunction) child->dispatch_table.GetShaderiv );
	__fillin( 241, "GetString", (SPUGenericFunction) child->dispatch_table.GetString );
	__fillin( 242, "GetTexEnvfv", (SPUGenericFunction) child->dispatch_table.GetTexEnvfv );
	__fillin( 243, "GetTexEnviv", (SPUGenericFunction) child->dispatch_table.GetTexEnviv );
	__fillin( 244, "GetTexGendv", (SPUGenericFunction) child->dispatch_table.GetTexGendv );
	__fillin( 245, "GetTexGenfv", (SPUGenericFunction) child->dispatch_table.GetTexGenfv );
	__fillin( 246, "GetTexGeniv", (SPUGenericFunction) child->dispatch_table.GetTexGeniv );
	__fillin( 247, "GetTexImage", (SPUGenericFunction) child->dispatch_table.GetTexImage );
	__fillin( 248, "GetTexLevelParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameterfv );
	__fillin( 249, "GetTexLevelParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameteriv );
	__fillin( 250, "GetTexParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexParameterfv );
	__fillin( 251, "GetTexParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexParameteriv );
	__fillin( 252, "GetTrackMatrixivNV", (SPUGenericFunction) child->dispatch_table.GetTrackMatrixivNV );
	__fillin( 253, "GetUniformLocation", (SPUGenericFunction) child->dispatch_table.GetUniformLocation );
	__fillin( 254, "GetUniformfv", (SPUGenericFunction) child->dispatch_table.GetUniformfv );
	__fillin( 255, "GetUniformiv", (SPUGenericFunction) child->dispatch_table.GetUniformiv );
	__fillin( 256, "GetUniformsLocations", (SPUGenericFunction) child->dispatch_table.GetUniformsLocations );
	__fillin( 257, "GetVertexAttribPointervARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervARB );
	__fillin( 258, "GetVertexAttribPointervNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervNV );
	__fillin( 259, "GetVertexAttribdvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvARB );
	__fillin( 260, "GetVertexAttribdvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvNV );
	__fillin( 261, "GetVertexAttribfvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvARB );
	__fillin( 262, "GetVertexAttribfvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvNV );
	__fillin( 263, "GetVertexAttribivARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivARB );
	__fillin( 264, "GetVertexAttribivNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivNV );
	__fillin( 265, "Hint", (SPUGenericFunction) child->dispatch_table.Hint );
	__fillin( 266, "IndexMask", (SPUGenericFunction) child->dispatch_table.IndexMask );
	__fillin( 267, "IndexPointer", (SPUGenericFunction) child->dispatch_table.IndexPointer );
	__fillin( 268, "Indexd", (SPUGenericFunction) child->dispatch_table.Indexd );
	__fillin( 269, "Indexdv", (SPUGenericFunction) child->dispatch_table.Indexdv );
	__fillin( 270, "Indexf", (SPUGenericFunction) child->dispatch_table.Indexf );
	__fillin( 271, "Indexfv", (SPUGenericFunction) child->dispatch_table.Indexfv );
	__fillin( 272, "Indexi", (SPUGenericFunction) child->dispatch_table.Indexi );
	__fillin( 273, "Indexiv", (SPUGenericFunction) child->dispatch_table.Indexiv );
	__fillin( 274, "Indexs", (SPUGenericFunction) child->dispatch_table.Indexs );
	__fillin( 275, "Indexsv", (SPUGenericFunction) child->dispatch_table.Indexsv );
	__fillin( 276, "Indexub", (SPUGenericFunction) child->dispatch_table.Indexub );
	__fillin( 277, "Indexubv", (SPUGenericFunction) child->dispatch_table.Indexubv );
	__fillin( 278, "InitNames", (SPUGenericFunction) child->dispatch_table.InitNames );
	__fillin( 279, "InterleavedArrays", (SPUGenericFunction) child->dispatch_table.InterleavedArrays );
	__fillin( 280, "IsBufferARB", (SPUGenericFunction) child->dispatch_table.IsBufferARB );
	__fillin( 281, "IsEnabled", (SPUGenericFunction) child->dispatch_table.IsEnabled );
	__fillin( 282, "IsFenceNV", (SPUGenericFunction) child->dispatch_table.IsFenceNV );
	__fillin( 283, "IsFramebufferEXT", (SPUGenericFunction) child->dispatch_table.IsFramebufferEXT );
	__fillin( 284, "IsList", (SPUGenericFunction) child->dispatch_table.IsList );
	__fillin( 285, "IsProgram", (SPUGenericFunction) child->dispatch_table.IsProgram );
	__fillin( 286, "IsProgramARB", (SPUGenericFunction) child->dispatch_table.IsProgramARB );
	__fillin( 287, "IsQueryARB", (SPUGenericFunction) child->dispatch_table.IsQueryARB );
	__fillin( 288, "IsRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.IsRenderbufferEXT );
	__fillin( 289, "IsShader", (SPUGenericFunction) child->dispatch_table.IsShader );
	__fillin( 290, "IsTexture", (SPUGenericFunction) child->dispatch_table.IsTexture );
	__fillin( 291, "LightModelf", (SPUGenericFunction) child->dispatch_table.LightModelf );
	__fillin( 292, "LightModelfv", (SPUGenericFunction) child->dispatch_table.LightModelfv );
	__fillin( 293, "LightModeli", (SPUGenericFunction) child->dispatch_table.LightModeli );
	__fillin( 294, "LightModeliv", (SPUGenericFunction) child->dispatch_table.LightModeliv );
	__fillin( 295, "Lightf", (SPUGenericFunction) child->dispatch_table.Lightf );
	__fillin( 296, "Lightfv", (SPUGenericFunction) child->dispatch_table.Lightfv );
	__fillin( 297, "Lighti", (SPUGenericFunction) child->dispatch_table.Lighti );
	__fillin( 298, "Lightiv", (SPUGenericFunction) child->dispatch_table.Lightiv );
	__fillin( 299, "LineStipple", (SPUGenericFunction) child->dispatch_table.LineStipple );
	__fillin( 300, "LineWidth", (SPUGenericFunction) child->dispatch_table.LineWidth );
	__fillin( 301, "LinkProgram", (SPUGenericFunction) child->dispatch_table.LinkProgram );
	__fillin( 302, "ListBase", (SPUGenericFunction) child->dispatch_table.ListBase );
	__fillin( 303, "LoadIdentity", (SPUGenericFunction) child->dispatch_table.LoadIdentity );
	__fillin( 304, "LoadMatrixd", (SPUGenericFunction) child->dispatch_table.LoadMatrixd );
	__fillin( 305, "LoadMatrixf", (SPUGenericFunction) child->dispatch_table.LoadMatrixf );
	__fillin( 306, "LoadName", (SPUGenericFunction) child->dispatch_table.LoadName );
	__fillin( 307, "LoadProgramNV", (SPUGenericFunction) child->dispatch_table.LoadProgramNV );
	__fillin( 308, "LoadTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixdARB );
	__fillin( 309, "LoadTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixfARB );
	__fillin( 310, "LockArraysEXT", (SPUGenericFunction) child->dispatch_table.LockArraysEXT );
	__fillin( 311, "LogicOp", (SPUGenericFunction) child->dispatch_table.LogicOp );
	__fillin( 312, "MakeCurrent", (SPUGenericFunction) child->dispatch_table.MakeCurrent );
	__fillin( 313, "Map1d", (SPUGenericFunction) child->dispatch_table.Map1d );
	__fillin( 314, "Map1f", (SPUGenericFunction) child->dispatch_table.Map1f );
	__fillin( 315, "Map2d", (SPUGenericFunction) child->dispatch_table.Map2d );
	__fillin( 316, "Map2f", (SPUGenericFunction) child->dispatch_table.Map2f );
	__fillin( 317, "MapBufferARB", (SPUGenericFunction) child->dispatch_table.MapBufferARB );
	__fillin( 318, "MapGrid1d", (SPUGenericFunction) child->dispatch_table.MapGrid1d );
	__fillin( 319, "MapGrid1f", (SPUGenericFunction) child->dispatch_table.MapGrid1f );
	__fillin( 320, "MapGrid2d", (SPUGenericFunction) child->dispatch_table.MapGrid2d );
	__fillin( 321, "MapGrid2f", (SPUGenericFunction) child->dispatch_table.MapGrid2f );
	__fillin( 322, "Materialf", (SPUGenericFunction) child->dispatch_table.Materialf );
	__fillin( 323, "Materialfv", (SPUGenericFunction) child->dispatch_table.Materialfv );
	__fillin( 324, "Materiali", (SPUGenericFunction) child->dispatch_table.Materiali );
	__fillin( 325, "Materialiv", (SPUGenericFunction) child->dispatch_table.Materialiv );
	__fillin( 326, "MatrixMode", (SPUGenericFunction) child->dispatch_table.MatrixMode );
	__fillin( 327, "MultMatrixd", (SPUGenericFunction) child->dispatch_table.MultMatrixd );
	__fillin( 328, "MultMatrixf", (SPUGenericFunction) child->dispatch_table.MultMatrixf );
	__fillin( 329, "MultTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixdARB );
	__fillin( 330, "MultTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixfARB );
	__fillin( 331, "MultiDrawArraysEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawArraysEXT );
	__fillin( 332, "MultiDrawElementsEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawElementsEXT );
	__fillin( 333, "MultiTexCoord1dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dARB );
	__fillin( 334, "MultiTexCoord1dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dvARB );
	__fillin( 335, "MultiTexCoord1fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fARB );
	__fillin( 336, "MultiTexCoord1fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fvARB );
	__fillin( 337, "MultiTexCoord1iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1iARB );
	__fillin( 338, "MultiTexCoord1ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1ivARB );
	__fillin( 339, "MultiTexCoord1sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1sARB );
	__fillin( 340, "MultiTexCoord1svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1svARB );
	__fillin( 341, "MultiTexCoord2dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dARB );
	__fillin( 342, "MultiTexCoord2dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dvARB );
	__fillin( 343, "MultiTexCoord2fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fARB );
	__fillin( 344, "MultiTexCoord2fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fvARB );
	__fillin( 345, "MultiTexCoord2iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2iARB );
	__fillin( 346, "MultiTexCoord2ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2ivARB );
	__fillin( 347, "MultiTexCoord2sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2sARB );
	__fillin( 348, "MultiTexCoord2svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2svARB );
	__fillin( 349, "MultiTexCoord3dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dARB );
	__fillin( 350, "MultiTexCoord3dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dvARB );
	__fillin( 351, "MultiTexCoord3fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fARB );
	__fillin( 352, "MultiTexCoord3fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fvARB );
	__fillin( 353, "MultiTexCoord3iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3iARB );
	__fillin( 354, "MultiTexCoord3ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3ivARB );
	__fillin( 355, "MultiTexCoord3sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3sARB );
	__fillin( 356, "MultiTexCoord3svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3svARB );
	__fillin( 357, "MultiTexCoord4dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dARB );
	__fillin( 358, "MultiTexCoord4dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dvARB );
	__fillin( 359, "MultiTexCoord4fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fARB );
	__fillin( 360, "MultiTexCoord4fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fvARB );
	__fillin( 361, "MultiTexCoord4iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4iARB );
	__fillin( 362, "MultiTexCoord4ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4ivARB );
	__fillin( 363, "MultiTexCoord4sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4sARB );
	__fillin( 364, "MultiTexCoord4svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4svARB );
	__fillin( 365, "NewList", (SPUGenericFunction) child->dispatch_table.NewList );
	__fillin( 366, "Normal3b", (SPUGenericFunction) child->dispatch_table.Normal3b );
	__fillin( 367, "Normal3bv", (SPUGenericFunction) child->dispatch_table.Normal3bv );
	__fillin( 368, "Normal3d", (SPUGenericFunction) child->dispatch_table.Normal3d );
	__fillin( 369, "Normal3dv", (SPUGenericFunction) child->dispatch_table.Normal3dv );
	__fillin( 370, "Normal3f", (SPUGenericFunction) child->dispatch_table.Normal3f );
	__fillin( 371, "Normal3fv", (SPUGenericFunction) child->dispatch_table.Normal3fv );
	__fillin( 372, "Normal3i", (SPUGenericFunction) child->dispatch_table.Normal3i );
	__fillin( 373, "Normal3iv", (SPUGenericFunction) child->dispatch_table.Normal3iv );
	__fillin( 374, "Normal3s", (SPUGenericFunction) child->dispatch_table.Normal3s );
	__fillin( 375, "Normal3sv", (SPUGenericFunction) child->dispatch_table.Normal3sv );
	__fillin( 376, "NormalPointer", (SPUGenericFunction) child->dispatch_table.NormalPointer );
	__fillin( 377, "Ortho", (SPUGenericFunction) child->dispatch_table.Ortho );
	__fillin( 378, "PassThrough", (SPUGenericFunction) child->dispatch_table.PassThrough );
	__fillin( 379, "PixelMapfv", (SPUGenericFunction) child->dispatch_table.PixelMapfv );
	__fillin( 380, "PixelMapuiv", (SPUGenericFunction) child->dispatch_table.PixelMapuiv );
	__fillin( 381, "PixelMapusv", (SPUGenericFunction) child->dispatch_table.PixelMapusv );
	__fillin( 382, "PixelStoref", (SPUGenericFunction) child->dispatch_table.PixelStoref );
	__fillin( 383, "PixelStorei", (SPUGenericFunction) child->dispatch_table.PixelStorei );
	__fillin( 384, "PixelTransferf", (SPUGenericFunction) child->dispatch_table.PixelTransferf );
	__fillin( 385, "PixelTransferi", (SPUGenericFunction) child->dispatch_table.PixelTransferi );
	__fillin( 386, "PixelZoom", (SPUGenericFunction) child->dispatch_table.PixelZoom );
	__fillin( 387, "PointParameterfARB", (SPUGenericFunction) child->dispatch_table.PointParameterfARB );
	__fillin( 388, "PointParameterfvARB", (SPUGenericFunction) child->dispatch_table.PointParameterfvARB );
	__fillin( 389, "PointParameteri", (SPUGenericFunction) child->dispatch_table.PointParameteri );
	__fillin( 390, "PointParameteriv", (SPUGenericFunction) child->dispatch_table.PointParameteriv );
	__fillin( 391, "PointSize", (SPUGenericFunction) child->dispatch_table.PointSize );
	__fillin( 392, "PolygonMode", (SPUGenericFunction) child->dispatch_table.PolygonMode );
	__fillin( 393, "PolygonOffset", (SPUGenericFunction) child->dispatch_table.PolygonOffset );
	__fillin( 394, "PolygonStipple", (SPUGenericFunction) child->dispatch_table.PolygonStipple );
	__fillin( 395, "PopAttrib", (SPUGenericFunction) child->dispatch_table.PopAttrib );
	__fillin( 396, "PopClientAttrib", (SPUGenericFunction) child->dispatch_table.PopClientAttrib );
	__fillin( 397, "PopMatrix", (SPUGenericFunction) child->dispatch_table.PopMatrix );
	__fillin( 398, "PopName", (SPUGenericFunction) child->dispatch_table.PopName );
	__fillin( 399, "PrioritizeTextures", (SPUGenericFunction) child->dispatch_table.PrioritizeTextures );
	__fillin( 400, "ProgramEnvParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dARB );
	__fillin( 401, "ProgramEnvParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dvARB );
	__fillin( 402, "ProgramEnvParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fARB );
	__fillin( 403, "ProgramEnvParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fvARB );
	__fillin( 404, "ProgramLocalParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dARB );
	__fillin( 405, "ProgramLocalParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dvARB );
	__fillin( 406, "ProgramLocalParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fARB );
	__fillin( 407, "ProgramLocalParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fvARB );
	__fillin( 408, "ProgramNamedParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dNV );
	__fillin( 409, "ProgramNamedParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dvNV );
	__fillin( 410, "ProgramNamedParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fNV );
	__fillin( 411, "ProgramNamedParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fvNV );
	__fillin( 412, "ProgramParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dNV );
	__fillin( 413, "ProgramParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dvNV );
	__fillin( 414, "ProgramParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fNV );
	__fillin( 415, "ProgramParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fvNV );
	__fillin( 416, "ProgramParameters4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4dvNV );
	__fillin( 417, "ProgramParameters4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4fvNV );
	__fillin( 418, "ProgramStringARB", (SPUGenericFunction) child->dispatch_table.ProgramStringARB );
	__fillin( 419, "PushAttrib", (SPUGenericFunction) child->dispatch_table.PushAttrib );
	__fillin( 420, "PushClientAttrib", (SPUGenericFunction) child->dispatch_table.PushClientAttrib );
	__fillin( 421, "PushMatrix", (SPUGenericFunction) child->dispatch_table.PushMatrix );
	__fillin( 422, "PushName", (SPUGenericFunction) child->dispatch_table.PushName );
	__fillin( 423, "RasterPos2d", (SPUGenericFunction) child->dispatch_table.RasterPos2d );
	__fillin( 424, "RasterPos2dv", (SPUGenericFunction) child->dispatch_table.RasterPos2dv );
	__fillin( 425, "RasterPos2f", (SPUGenericFunction) child->dispatch_table.RasterPos2f );
	__fillin( 426, "RasterPos2fv", (SPUGenericFunction) child->dispatch_table.RasterPos2fv );
	__fillin( 427, "RasterPos2i", (SPUGenericFunction) child->dispatch_table.RasterPos2i );
	__fillin( 428, "RasterPos2iv", (SPUGenericFunction) child->dispatch_table.RasterPos2iv );
	__fillin( 429, "RasterPos2s", (SPUGenericFunction) child->dispatch_table.RasterPos2s );
	__fillin( 430, "RasterPos2sv", (SPUGenericFunction) child->dispatch_table.RasterPos2sv );
	__fillin( 431, "RasterPos3d", (SPUGenericFunction) child->dispatch_table.RasterPos3d );
	__fillin( 432, "RasterPos3dv", (SPUGenericFunction) child->dispatch_table.RasterPos3dv );
	__fillin( 433, "RasterPos3f", (SPUGenericFunction) child->dispatch_table.RasterPos3f );
	__fillin( 434, "RasterPos3fv", (SPUGenericFunction) child->dispatch_table.RasterPos3fv );
	__fillin( 435, "RasterPos3i", (SPUGenericFunction) child->dispatch_table.RasterPos3i );
	__fillin( 436, "RasterPos3iv", (SPUGenericFunction) child->dispatch_table.RasterPos3iv );
	__fillin( 437, "RasterPos3s", (SPUGenericFunction) child->dispatch_table.RasterPos3s );
	__fillin( 438, "RasterPos3sv", (SPUGenericFunction) child->dispatch_table.RasterPos3sv );
	__fillin( 439, "RasterPos4d", (SPUGenericFunction) child->dispatch_table.RasterPos4d );
	__fillin( 440, "RasterPos4dv", (SPUGenericFunction) child->dispatch_table.RasterPos4dv );
	__fillin( 441, "RasterPos4f", (SPUGenericFunction) child->dispatch_table.RasterPos4f );
	__fillin( 442, "RasterPos4fv", (SPUGenericFunction) child->dispatch_table.RasterPos4fv );
	__fillin( 443, "RasterPos4i", (SPUGenericFunction) child->dispatch_table.RasterPos4i );
	__fillin( 444, "RasterPos4iv", (SPUGenericFunction) child->dispatch_table.RasterPos4iv );
	__fillin( 445, "RasterPos4s", (SPUGenericFunction) child->dispatch_table.RasterPos4s );
	__fillin( 446, "RasterPos4sv", (SPUGenericFunction) child->dispatch_table.RasterPos4sv );
	__fillin( 447, "ReadBuffer", (SPUGenericFunction) child->dispatch_table.ReadBuffer );
	__fillin( 448, "ReadPixels", (SPUGenericFunction) child->dispatch_table.ReadPixels );
	__fillin( 449, "Rectd", (SPUGenericFunction) child->dispatch_table.Rectd );
	__fillin( 450, "Rectdv", (SPUGenericFunction) child->dispatch_table.Rectdv );
	__fillin( 451, "Rectf", (SPUGenericFunction) child->dispatch_table.Rectf );
	__fillin( 452, "Rectfv", (SPUGenericFunction) child->dispatch_table.Rectfv );
	__fillin( 453, "Recti", (SPUGenericFunction) child->dispatch_table.Recti );
	__fillin( 454, "Rectiv", (SPUGenericFunction) child->dispatch_table.Rectiv );
	__fillin( 455, "Rects", (SPUGenericFunction) child->dispatch_table.Rects );
	__fillin( 456, "Rectsv", (SPUGenericFunction) child->dispatch_table.Rectsv );
	__fillin( 457, "RenderMode", (SPUGenericFunction) child->dispatch_table.RenderMode );
	__fillin( 458, "RenderbufferStorageEXT", (SPUGenericFunction) child->dispatch_table.RenderbufferStorageEXT );
	__fillin( 459, "RequestResidentProgramsNV", (SPUGenericFunction) child->dispatch_table.RequestResidentProgramsNV );
	__fillin( 460, "Rotated", (SPUGenericFunction) child->dispatch_table.Rotated );
	__fillin( 461, "Rotatef", (SPUGenericFunction) child->dispatch_table.Rotatef );
	__fillin( 462, "SampleCoverageARB", (SPUGenericFunction) child->dispatch_table.SampleCoverageARB );
	__fillin( 463, "Scaled", (SPUGenericFunction) child->dispatch_table.Scaled );
	__fillin( 464, "Scalef", (SPUGenericFunction) child->dispatch_table.Scalef );
	__fillin( 465, "Scissor", (SPUGenericFunction) child->dispatch_table.Scissor );
	__fillin( 466, "SecondaryColor3bEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bEXT );
	__fillin( 467, "SecondaryColor3bvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bvEXT );
	__fillin( 468, "SecondaryColor3dEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dEXT );
	__fillin( 469, "SecondaryColor3dvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dvEXT );
	__fillin( 470, "SecondaryColor3fEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fEXT );
	__fillin( 471, "SecondaryColor3fvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fvEXT );
	__fillin( 472, "SecondaryColor3iEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3iEXT );
	__fillin( 473, "SecondaryColor3ivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ivEXT );
	__fillin( 474, "SecondaryColor3sEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3sEXT );
	__fillin( 475, "SecondaryColor3svEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3svEXT );
	__fillin( 476, "SecondaryColor3ubEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubEXT );
	__fillin( 477, "SecondaryColor3ubvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubvEXT );
	__fillin( 478, "SecondaryColor3uiEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uiEXT );
	__fillin( 479, "SecondaryColor3uivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uivEXT );
	__fillin( 480, "SecondaryColor3usEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usEXT );
	__fillin( 481, "SecondaryColor3usvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usvEXT );
	__fillin( 482, "SecondaryColorPointerEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColorPointerEXT );
	__fillin( 483, "SelectBuffer", (SPUGenericFunction) child->dispatch_table.SelectBuffer );
	__fillin( 484, "SemaphoreCreateCR", (SPUGenericFunction) child->dispatch_table.SemaphoreCreateCR );
	__fillin( 485, "SemaphoreDestroyCR", (SPUGenericFunction) child->dispatch_table.SemaphoreDestroyCR );
	__fillin( 486, "SemaphorePCR", (SPUGenericFunction) child->dispatch_table.SemaphorePCR );
	__fillin( 487, "SemaphoreVCR", (SPUGenericFunction) child->dispatch_table.SemaphoreVCR );
	__fillin( 488, "SetFenceNV", (SPUGenericFunction) child->dispatch_table.SetFenceNV );
	__fillin( 489, "ShadeModel", (SPUGenericFunction) child->dispatch_table.ShadeModel );
	__fillin( 490, "ShaderSource", (SPUGenericFunction) child->dispatch_table.ShaderSource );
	__fillin( 491, "StencilFunc", (SPUGenericFunction) child->dispatch_table.StencilFunc );
	__fillin( 492, "StencilFuncSeparate", (SPUGenericFunction) child->dispatch_table.StencilFuncSeparate );
	__fillin( 493, "StencilMask", (SPUGenericFunction) child->dispatch_table.StencilMask );
	__fillin( 494, "StencilMaskSeparate", (SPUGenericFunction) child->dispatch_table.StencilMaskSeparate );
	__fillin( 495, "StencilOp", (SPUGenericFunction) child->dispatch_table.StencilOp );
	__fillin( 496, "StencilOpSeparate", (SPUGenericFunction) child->dispatch_table.StencilOpSeparate );
	__fillin( 497, "SwapBuffers", (SPUGenericFunction) child->dispatch_table.SwapBuffers );
	__fillin( 498, "TestFenceNV", (SPUGenericFunction) child->dispatch_table.TestFenceNV );
	__fillin( 499, "TexCoord1d", (SPUGenericFunction) child->dispatch_table.TexCoord1d );
	__fillin( 500, "TexCoord1dv", (SPUGenericFunction) child->dispatch_table.TexCoord1dv );
	__fillin( 501, "TexCoord1f", (SPUGenericFunction) child->dispatch_table.TexCoord1f );
	__fillin( 502, "TexCoord1fv", (SPUGenericFunction) child->dispatch_table.TexCoord1fv );
	__fillin( 503, "TexCoord1i", (SPUGenericFunction) child->dispatch_table.TexCoord1i );
	__fillin( 504, "TexCoord1iv", (SPUGenericFunction) child->dispatch_table.TexCoord1iv );
	__fillin( 505, "TexCoord1s", (SPUGenericFunction) child->dispatch_table.TexCoord1s );
	__fillin( 506, "TexCoord1sv", (SPUGenericFunction) child->dispatch_table.TexCoord1sv );
	__fillin( 507, "TexCoord2d", (SPUGenericFunction) child->dispatch_table.TexCoord2d );
	__fillin( 508, "TexCoord2dv", (SPUGenericFunction) child->dispatch_table.TexCoord2dv );
	__fillin( 509, "TexCoord2f", (SPUGenericFunction) child->dispatch_table.TexCoord2f );
	__fillin( 510, "TexCoord2fv", (SPUGenericFunction) child->dispatch_table.TexCoord2fv );
	__fillin( 511, "TexCoord2i", (SPUGenericFunction) child->dispatch_table.TexCoord2i );
	__fillin( 512, "TexCoord2iv", (SPUGenericFunction) child->dispatch_table.TexCoord2iv );
	__fillin( 513, "TexCoord2s", (SPUGenericFunction) child->dispatch_table.TexCoord2s );
	__fillin( 514, "TexCoord2sv", (SPUGenericFunction) child->dispatch_table.TexCoord2sv );
	__fillin( 515, "TexCoord3d", (SPUGenericFunction) child->dispatch_table.TexCoord3d );
	__fillin( 516, "TexCoord3dv", (SPUGenericFunction) child->dispatch_table.TexCoord3dv );
	__fillin( 517, "TexCoord3f", (SPUGenericFunction) child->dispatch_table.TexCoord3f );
	__fillin( 518, "TexCoord3fv", (SPUGenericFunction) child->dispatch_table.TexCoord3fv );
	__fillin( 519, "TexCoord3i", (SPUGenericFunction) child->dispatch_table.TexCoord3i );
	__fillin( 520, "TexCoord3iv", (SPUGenericFunction) child->dispatch_table.TexCoord3iv );
	__fillin( 521, "TexCoord3s", (SPUGenericFunction) child->dispatch_table.TexCoord3s );
	__fillin( 522, "TexCoord3sv", (SPUGenericFunction) child->dispatch_table.TexCoord3sv );
	__fillin( 523, "TexCoord4d", (SPUGenericFunction) child->dispatch_table.TexCoord4d );
	__fillin( 524, "TexCoord4dv", (SPUGenericFunction) child->dispatch_table.TexCoord4dv );
	__fillin( 525, "TexCoord4f", (SPUGenericFunction) child->dispatch_table.TexCoord4f );
	__fillin( 526, "TexCoord4fv", (SPUGenericFunction) child->dispatch_table.TexCoord4fv );
	__fillin( 527, "TexCoord4i", (SPUGenericFunction) child->dispatch_table.TexCoord4i );
	__fillin( 528, "TexCoord4iv", (SPUGenericFunction) child->dispatch_table.TexCoord4iv );
	__fillin( 529, "TexCoord4s", (SPUGenericFunction) child->dispatch_table.TexCoord4s );
	__fillin( 530, "TexCoord4sv", (SPUGenericFunction) child->dispatch_table.TexCoord4sv );
	__fillin( 531, "TexCoordPointer", (SPUGenericFunction) child->dispatch_table.TexCoordPointer );
	__fillin( 532, "TexEnvf", (SPUGenericFunction) child->dispatch_table.TexEnvf );
	__fillin( 533, "TexEnvfv", (SPUGenericFunction) child->dispatch_table.TexEnvfv );
	__fillin( 534, "TexEnvi", (SPUGenericFunction) child->dispatch_table.TexEnvi );
	__fillin( 535, "TexEnviv", (SPUGenericFunction) child->dispatch_table.TexEnviv );
	__fillin( 536, "TexGend", (SPUGenericFunction) child->dispatch_table.TexGend );
	__fillin( 537, "TexGendv", (SPUGenericFunction) child->dispatch_table.TexGendv );
	__fillin( 538, "TexGenf", (SPUGenericFunction) child->dispatch_table.TexGenf );
	__fillin( 539, "TexGenfv", (SPUGenericFunction) child->dispatch_table.TexGenfv );
	__fillin( 540, "TexGeni", (SPUGenericFunction) child->dispatch_table.TexGeni );
	__fillin( 541, "TexGeniv", (SPUGenericFunction) child->dispatch_table.TexGeniv );
	__fillin( 542, "TexImage1D", (SPUGenericFunction) child->dispatch_table.TexImage1D );
	__fillin( 543, "TexImage2D", (SPUGenericFunction) child->dispatch_table.TexImage2D );
	__fillin( 544, "TexImage3D", (SPUGenericFunction) child->dispatch_table.TexImage3D );
	__fillin( 545, "TexImage3DEXT", (SPUGenericFunction) child->dispatch_table.TexImage3DEXT );
	__fillin( 546, "TexParameterf", (SPUGenericFunction) child->dispatch_table.TexParameterf );
	__fillin( 547, "TexParameterfv", (SPUGenericFunction) child->dispatch_table.TexParameterfv );
	__fillin( 548, "TexParameteri", (SPUGenericFunction) child->dispatch_table.TexParameteri );
	__fillin( 549, "TexParameteriv", (SPUGenericFunction) child->dispatch_table.TexParameteriv );
	__fillin( 550, "TexSubImage1D", (SPUGenericFunction) child->dispatch_table.TexSubImage1D );
	__fillin( 551, "TexSubImage2D", (SPUGenericFunction) child->dispatch_table.TexSubImage2D );
	__fillin( 552, "TexSubImage3D", (SPUGenericFunction) child->dispatch_table.TexSubImage3D );
	__fillin( 553, "TrackMatrixNV", (SPUGenericFunction) child->dispatch_table.TrackMatrixNV );
	__fillin( 554, "Translated", (SPUGenericFunction) child->dispatch_table.Translated );
	__fillin( 555, "Translatef", (SPUGenericFunction) child->dispatch_table.Translatef );
	__fillin( 556, "Uniform1f", (SPUGenericFunction) child->dispatch_table.Uniform1f );
	__fillin( 557, "Uniform1fv", (SPUGenericFunction) child->dispatch_table.Uniform1fv );
	__fillin( 558, "Uniform1i", (SPUGenericFunction) child->dispatch_table.Uniform1i );
	__fillin( 559, "Uniform1iv", (SPUGenericFunction) child->dispatch_table.Uniform1iv );
	__fillin( 560, "Uniform2f", (SPUGenericFunction) child->dispatch_table.Uniform2f );
	__fillin( 561, "Uniform2fv", (SPUGenericFunction) child->dispatch_table.Uniform2fv );
	__fillin( 562, "Uniform2i", (SPUGenericFunction) child->dispatch_table.Uniform2i );
	__fillin( 563, "Uniform2iv", (SPUGenericFunction) child->dispatch_table.Uniform2iv );
	__fillin( 564, "Uniform3f", (SPUGenericFunction) child->dispatch_table.Uniform3f );
	__fillin( 565, "Uniform3fv", (SPUGenericFunction) child->dispatch_table.Uniform3fv );
	__fillin( 566, "Uniform3i", (SPUGenericFunction) child->dispatch_table.Uniform3i );
	__fillin( 567, "Uniform3iv", (SPUGenericFunction) child->dispatch_table.Uniform3iv );
	__fillin( 568, "Uniform4f", (SPUGenericFunction) child->dispatch_table.Uniform4f );
	__fillin( 569, "Uniform4fv", (SPUGenericFunction) child->dispatch_table.Uniform4fv );
	__fillin( 570, "Uniform4i", (SPUGenericFunction) child->dispatch_table.Uniform4i );
	__fillin( 571, "Uniform4iv", (SPUGenericFunction) child->dispatch_table.Uniform4iv );
	__fillin( 572, "UniformMatrix2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2fv );
	__fillin( 573, "UniformMatrix2x3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2x3fv );
	__fillin( 574, "UniformMatrix2x4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2x4fv );
	__fillin( 575, "UniformMatrix3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3fv );
	__fillin( 576, "UniformMatrix3x2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3x2fv );
	__fillin( 577, "UniformMatrix3x4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3x4fv );
	__fillin( 578, "UniformMatrix4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4fv );
	__fillin( 579, "UniformMatrix4x2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4x2fv );
	__fillin( 580, "UniformMatrix4x3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4x3fv );
	__fillin( 581, "UnlockArraysEXT", (SPUGenericFunction) child->dispatch_table.UnlockArraysEXT );
	__fillin( 582, "UnmapBufferARB", (SPUGenericFunction) child->dispatch_table.UnmapBufferARB );
	__fillin( 583, "UseProgram", (SPUGenericFunction) child->dispatch_table.UseProgram );
	__fillin( 584, "ValidateProgram", (SPUGenericFunction) child->dispatch_table.ValidateProgram );
	__fillin( 585, "Vertex2d", (SPUGenericFunction) child->dispatch_table.Vertex2d );
	__fillin( 586, "Vertex2dv", (SPUGenericFunction) child->dispatch_table.Vertex2dv );
	__fillin( 587, "Vertex2f", (SPUGenericFunction) child->dispatch_table.Vertex2f );
	__fillin( 588, "Vertex2fv", (SPUGenericFunction) child->dispatch_table.Vertex2fv );
	__fillin( 589, "Vertex2i", (SPUGenericFunction) child->dispatch_table.Vertex2i );
	__fillin( 590, "Vertex2iv", (SPUGenericFunction) child->dispatch_table.Vertex2iv );
	__fillin( 591, "Vertex2s", (SPUGenericFunction) child->dispatch_table.Vertex2s );
	__fillin( 592, "Vertex2sv", (SPUGenericFunction) child->dispatch_table.Vertex2sv );
	__fillin( 593, "Vertex3d", (SPUGenericFunction) child->dispatch_table.Vertex3d );
	__fillin( 594, "Vertex3dv", (SPUGenericFunction) child->dispatch_table.Vertex3dv );
	__fillin( 595, "Vertex3f", (SPUGenericFunction) child->dispatch_table.Vertex3f );
	__fillin( 596, "Vertex3fv", (SPUGenericFunction) child->dispatch_table.Vertex3fv );
	__fillin( 597, "Vertex3i", (SPUGenericFunction) child->dispatch_table.Vertex3i );
	__fillin( 598, "Vertex3iv", (SPUGenericFunction) child->dispatch_table.Vertex3iv );
	__fillin( 599, "Vertex3s", (SPUGenericFunction) child->dispatch_table.Vertex3s );
	__fillin( 600, "Vertex3sv", (SPUGenericFunction) child->dispatch_table.Vertex3sv );
	__fillin( 601, "Vertex4d", (SPUGenericFunction) child->dispatch_table.Vertex4d );
	__fillin( 602, "Vertex4dv", (SPUGenericFunction) child->dispatch_table.Vertex4dv );
	__fillin( 603, "Vertex4f", (SPUGenericFunction) child->dispatch_table.Vertex4f );
	__fillin( 604, "Vertex4fv", (SPUGenericFunction) child->dispatch_table.Vertex4fv );
	__fillin( 605, "Vertex4i", (SPUGenericFunction) child->dispatch_table.Vertex4i );
	__fillin( 606, "Vertex4iv", (SPUGenericFunction) child->dispatch_table.Vertex4iv );
	__fillin( 607, "Vertex4s", (SPUGenericFunction) child->dispatch_table.Vertex4s );
	__fillin( 608, "Vertex4sv", (SPUGenericFunction) child->dispatch_table.Vertex4sv );
	__fillin( 609, "VertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.VertexArrayRangeNV );
	__fillin( 610, "VertexAttrib1dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dARB );
	__fillin( 611, "VertexAttrib1dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dvARB );
	__fillin( 612, "VertexAttrib1fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fARB );
	__fillin( 613, "VertexAttrib1fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fvARB );
	__fillin( 614, "VertexAttrib1sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1sARB );
	__fillin( 615, "VertexAttrib1svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1svARB );
	__fillin( 616, "VertexAttrib2dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dARB );
	__fillin( 617, "VertexAttrib2dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dvARB );
	__fillin( 618, "VertexAttrib2fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fARB );
	__fillin( 619, "VertexAttrib2fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fvARB );
	__fillin( 620, "VertexAttrib2sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2sARB );
	__fillin( 621, "VertexAttrib2svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2svARB );
	__fillin( 622, "VertexAttrib3dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dARB );
	__fillin( 623, "VertexAttrib3dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dvARB );
	__fillin( 624, "VertexAttrib3fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fARB );
	__fillin( 625, "VertexAttrib3fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fvARB );
	__fillin( 626, "VertexAttrib3sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3sARB );
	__fillin( 627, "VertexAttrib3svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3svARB );
	__fillin( 628, "VertexAttrib4NbvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NbvARB );
	__fillin( 629, "VertexAttrib4NivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NivARB );
	__fillin( 630, "VertexAttrib4NsvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NsvARB );
	__fillin( 631, "VertexAttrib4NubARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubARB );
	__fillin( 632, "VertexAttrib4NubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubvARB );
	__fillin( 633, "VertexAttrib4NuivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NuivARB );
	__fillin( 634, "VertexAttrib4NusvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NusvARB );
	__fillin( 635, "VertexAttrib4bvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4bvARB );
	__fillin( 636, "VertexAttrib4dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dARB );
	__fillin( 637, "VertexAttrib4dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dvARB );
	__fillin( 638, "VertexAttrib4fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fARB );
	__fillin( 639, "VertexAttrib4fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fvARB );
	__fillin( 640, "VertexAttrib4ivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ivARB );
	__fillin( 641, "VertexAttrib4sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4sARB );
	__fillin( 642, "VertexAttrib4svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4svARB );
	__fillin( 643, "VertexAttrib4ubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ubvARB );
	__fillin( 644, "VertexAttrib4uivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4uivARB );
	__fillin( 645, "VertexAttrib4usvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4usvARB );
	__fillin( 646, "VertexAttribPointerARB", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerARB );
	__fillin( 647, "VertexAttribPointerNV", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerNV );
	__fillin( 648, "VertexAttribs1dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1dvNV );
	__fillin( 649, "VertexAttribs1fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1fvNV );
	__fillin( 650, "VertexAttribs1svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1svNV );
	__fillin( 651, "VertexAttribs2dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2dvNV );
	__fillin( 652, "VertexAttribs2fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2fvNV );
	__fillin( 653, "VertexAttribs2svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2svNV );
	__fillin( 654, "VertexAttribs3dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3dvNV );
	__fillin( 655, "VertexAttribs3fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3fvNV );
	__fillin( 656, "VertexAttribs3svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3svNV );
	__fillin( 657, "VertexAttribs4dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4dvNV );
	__fillin( 658, "VertexAttribs4fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4fvNV );
	__fillin( 659, "VertexAttribs4svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4svNV );
	__fillin( 660, "VertexAttribs4ubvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4ubvNV );
	__fillin( 661, "VertexPointer", (SPUGenericFunction) child->dispatch_table.VertexPointer );
	__fillin( 662, "Viewport", (SPUGenericFunction) child->dispatch_table.Viewport );
	__fillin( 663, "WindowCreate", (SPUGenericFunction) child->dispatch_table.WindowCreate );
	__fillin( 664, "WindowDestroy", (SPUGenericFunction) child->dispatch_table.WindowDestroy );
	__fillin( 665, "WindowPos2dARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dARB );
	__fillin( 666, "WindowPos2dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dvARB );
	__fillin( 667, "WindowPos2fARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fARB );
	__fillin( 668, "WindowPos2fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fvARB );
	__fillin( 669, "WindowPos2iARB", (SPUGenericFunction) child->dispatch_table.WindowPos2iARB );
	__fillin( 670, "WindowPos2ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos2ivARB );
	__fillin( 671, "WindowPos2sARB", (SPUGenericFunction) child->dispatch_table.WindowPos2sARB );
	__fillin( 672, "WindowPos2svARB", (SPUGenericFunction) child->dispatch_table.WindowPos2svARB );
	__fillin( 673, "WindowPos3dARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dARB );
	__fillin( 674, "WindowPos3dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dvARB );
	__fillin( 675, "WindowPos3fARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fARB );
	__fillin( 676, "WindowPos3fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fvARB );
	__fillin( 677, "WindowPos3iARB", (SPUGenericFunction) child->dispatch_table.WindowPos3iARB );
	__fillin( 678, "WindowPos3ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos3ivARB );
	__fillin( 679, "WindowPos3sARB", (SPUGenericFunction) child->dispatch_table.WindowPos3sARB );
	__fillin( 680, "WindowPos3svARB", (SPUGenericFunction) child->dispatch_table.WindowPos3svARB );
	__fillin( 681, "WindowPosition", (SPUGenericFunction) child->dispatch_table.WindowPosition );
	__fillin( 682, "WindowShow", (SPUGenericFunction) child->dispatch_table.WindowShow );
	__fillin( 683, "WindowSize", (SPUGenericFunction) child->dispatch_table.WindowSize );
	__fillin( 684, "WindowVisibleRegion", (SPUGenericFunction) child->dispatch_table.WindowVisibleRegion );
	__fillin( 685, "Writeback", (SPUGenericFunction) child->dispatch_table.Writeback );
	__fillin( 686, "ZPixCR", (SPUGenericFunction) child->dispatch_table.ZPixCR );
	__fillin( 687, NULL, NULL );
}
